LinuxQuestions.org

LinuxQuestions.org (/questions/)
-   Linux - Newbie (https://www.linuxquestions.org/questions/linux-newbie-8/)
-   -   Another ethernet question (https://www.linuxquestions.org/questions/linux-newbie-8/another-ethernet-question-9628/)

EyeGuy 12-04-2001 03:17 PM

Another ethernet question
 
I'm using Mandrake 8.1 - newly installed and am trying to figure out how to get it online.
I just installed a Netgear FA311 Ethernet card - when attempting to config I got:
"insmod'ing module natsemi failed at /usr/lib/libDrakX/modules.pm line 532"

I'm about as green as they come when it comes to Linux but am hell bent on ridding my box of the dreaded M$ "virus".
Any help would be greatly appreciated

Aussie 12-06-2001 04:47 AM

Try using "modprobe" see man modprobe for more info and I think your NIC uses the tulip module.

joomart 12-07-2001 07:17 AM

FA 311 Card
 
Hello,

I try to explain all in english:
the card FA311 have an driver of national semiconductor in it, so the driver tulip.o is not the right !!

You have two possibilities:

1. you can download the driver for RedHat from Netgear by: http://www.netgear-support.com. There the name ist at first fa311.o (for RH 6.x or 7.0) or natsemi.o for RH 7.1.

2. you can download the driver for RedHat from Donald Becker/scyld.com by: http://www.scyld.com/network/ethercard.html. There you can get the more actual version of natsemi.o and additional other files for compiling the right driver for each kernel-version.

3. It seems you need the driver fa311.o for kernel 2.2.x and the driver natsemi.o for kernel 2.4.x - I hope that's right.

Aussie 12-07-2001 07:12 PM

A search for this card on google/linux shows that lots of people are having problems with getting it to work in linux. It might be less stressfull to just get a better card.

EyeGuy 12-08-2001 04:16 PM

Thanks All
 
Thanks for all your input.... I like the last suggestion, I'm just going to get another card.

Olen 12-29-2001 05:24 PM

What causes the error for me
 
I get a very similar error message when I try to configure my ethernet. The only difference is that I am using a different NIC. My error message is
insmod'ing module ne2k-pci failed at /usr/lib/libDrakX/modules.pm line 532
I am using a more common Linksys 10BaseT EtherPCI LAN Card II.
I do not get the error message until I update Mandrake online. Once I update I start to get the error message.
I have reinstalled Mandrake a couple of times now to test this and I get the same results every time. It will work fine untill I update.


All times are GMT -5. The time now is 04:56 AM.